$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'GEOBOX_Streetmanagement_DEU_20.3.38_x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi'
  file         = $fileLocation
  softwareName  = 'GEOBOX Strassenmanagement 2020'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
  checksum      = 'FB92A5218AF4C82DEAB0F5ECA0986CBC'
  checksumType  = 'md5'
}

Install-ChocolateyPackage @packageArgs #
